# Get payment methods

## Retrieve Payment Methods by Country

> The Payment Methods endpoint allows you to retrieve the complete list of payment methods you have available for the specified country, along with its payment method's type, code, logos and more.

```json
{"openapi":"3.0.0","servers":[{"url":"https://api-stg.directa24.com","description":"Staging environment"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Authentication using a Bearer Token (Read-Only API Key). The token should be prefixed with \"Bearer \"."}},"schemas":{"PaymentMethod":{"type":"object","description":"Details of an available payment method.","properties":{"country":{"type":"string","description":"Country code."},"code":{"type":"string","description":"Payment method code that should be used when creating a deposit request."},"name":{"type":"string","description":"Payment method name."},"type":{"type":"string","description":"Payment method type. Check the Payment Types section for further details.","enum":["BANK_DEPOSIT","BANK_TRANSFER","CREDIT_CARD","VOUCHER"]},"status":{"type":"string","description":"Status of the payment method. It will be updated in case a payment method becomes momentarily unavailable."},"logo":{"type":"string","format":"url","description":"URL containing the payment method logo."},"daily_average":{"type":"number","format":"integer","description":"Daily average time for the approval of the deposits with this payment method in seconds. *Note that in case the method is new, we may not have daily average information so this field won't be returned."},"monthly_average":{"type":"number","format":"integer","description":"Monthly average time for the approval of the deposits with this payment method in seconds. *Note that in case the method is new, we may not have monthly average information so this field won't be returned."}}},"ApiError":{"type":"object","description":"Standard error response structure.","properties":{"code":{"type":"integer","description":"Error code."},"description":{"type":"string","description":"Detailed error message."}},"required":["code","description"]}}},"paths":{"/v3/payment_methods/{country}":{"get":{"summary":"Retrieve Payment Methods by Country","description":"The Payment Methods endpoint allows you to retrieve the complete list of payment methods you have available for the specified country, along with its payment method's type, code, logos and more.","tags":["Payment Methods"],"parameters":[{"name":"country","in":"path","required":true,"description":"Country ISO code (e.g., BR, AR, MX).","schema":{"type":"string"}}],"responses":{"200":{"description":"Payment methods successfully retrieved.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethod"}}}}},"400":{"description":"The country specified was incorrect or a similar bad request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Invalid credentials error. Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-reference-1/deposits-api/payment-methods/get-payment-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
